Bug 127701 - rpmbuild --rebuild php-4.3.2-11.ent.src.rpm FAIL, needs bison and flex
Summary: rpmbuild --rebuild php-4.3.2-11.ent.src.rpm FAIL, needs bison and flex
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: php   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-12 18:44 UTC by Ben Russo
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: 4.3.2-14.ent
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-02 10:33:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ben Russo 2004-07-12 18:44:10 UTC
Description of problem:
php source RPM needs bison and flex, but doesn't give error when
trying to build.

Version-Release number of selected component (if applicable):
4.3.2-11.ent

How reproducible:
every time.

Steps to Reproduce:
1.   Install RHAS3
2.   Install devel packages (cpp, gcc, libstdc, glibc, make, auto...)
3.   Try to "rpmbuild --rebuild php-4.3.2-11.ent.src.rpm"  you will
get an error about zend build failed.  
4.   Install flex and bison
5.  Now rpmbuild works fine.

Expected results:  rpmbuild --rebuild php-*.src.rpm  should give an
error message that bison and flex are dependencies unless these two
packages are already installed.

Comment 1 Joe Orton 2004-07-14 08:15:25 UTC
Thanks for the report.  If you change the line in php.spec from:

mkdir Zend && cp ../Zend/zend_{language,ini}_parser.[ch] Zend

to

mkdir Zend && cp ../Zend/zend_{language,ini}_{parser,scanner}.[ch] Zend

this will be fixed.  This change will be included in a future update.

Comment 2 Joe Orton 2004-09-02 10:33:15 UTC
This should be fixed in php-4.3.2-14.ent which was been shipped in U3.
 Please re-open if you encounter further rebuild issues.


Note You need to log in before you can comment on or make changes to this bug.